#
# spec file for package libksieve
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libksieve
Version:        16.08.2
Release:        1.1
Summary:        Base package of kdepim
License:        GPL-2.0 and LGPL-2.1+
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Libraries
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-server-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  extra-cmake-modules >= 5.23.0
BuildRequires:  karchive-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kidentitymanagement-devel
BuildRequires:  kmailtransport-devel
BuildRequires:  kmime-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kpimtextedit-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  libkdepim-devel
BuildRequires:  pimcommon-devel = %{version}
BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebEngine) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Xml) >= 5.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the libksieve library.

%prep
%setup -q

%build
%cmake_kf5 -d build -- -DQTWEBENGINE_SUPPORT_OPTION=TRUE
%make_jobs

%install
%kf5_makeinstall -C build

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%package devel
Summary:        Development package for libksieve
License:        LGPL-2.1+
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          Development/Libraries
Requires:       libksieve = %{version}

%description devel
The development package for the libksieve libraries

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/KManageSieve/
%{_includedir}/KF5/KSieveUi/
%{_includedir}/KF5/kmanagesieve/
%{_includedir}/KF5/ksieveui/
%{_includedir}/KF5/libksieve_version.h
%{_libdir}/cmake/KF5LibKSieve/
%{_libdir}/qt5/mkspecs/modules/qt_KManageSieve.pri
%{_libdir}/qt5/mkspecs/modules/qt_KSieve.pri
%{_libdir}/qt5/mkspecs/modules/qt_KSieveUi.pri
%{_libdir}/libKF5KManageSieve.so
%{_libdir}/libKF5KSieve.so
%{_libdir}/libKF5KSieveUi.so

%files
%defattr(-,root,root)
%{_kf5_configdir}/ksieve_script.knsrc
%{_kf5_configdir}/libksieve.categories
%{_datadir}/sieve/
%{_kf5_htmldir}/en/kioslave5
%{_libdir}/libKF5KManageSieve.so.*
%{_libdir}/libKF5KSieve.so.*
%{_libdir}/libKF5KSieveUi.so.*
%dir %{_kf5_plugindir}/kf5
%{_kf5_plugindir}/kf5/kio/
%{_kf5_servicesdir}/sieve.protocol

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Thu Jul 21 2016 wbauer@tmo.at
- Cleanup build requirements
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
